Page MenuHomePhabricator

Missing data on labs replica database
Closed, ResolvedPublic

Description

This revision from April 22 is on Wikipedia, but missing from the replica database: https://en.wikipedia.org/w/index.php?title=Integral&oldid=716557594

https://quarry.wmflabs.org/query/9297

Maybe related to the data center switch?

Event Timeline

Ragesoss created this task.Apr 26 2016, 5:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2016, 5:32 PM

Not sure if this is the same issue or not, but we ran a Wiki Ed cohort sometime in late 2014 or early 2015, and got a result of around 16 million positive sum bytes added. Running the same cohort with the same parameters yesterday returns ~13 million. We are pretty confident that there is no 3 million bytes worth of contributions that were deleted in the meantime, so missing data might help explain it.

Here's the public report of that cohort: https://metrics.wmflabs.org/static/public/5245321.json

jcrespo claimed this task.May 24 2016, 4:16 PM
jcrespo added a project: DBA.
jcrespo added a subscriber: jcrespo.

We are precisely at this very moment reimporting now the revision table- we are curently on revision id 55000000. It will take same days to reach revision 700 000 000 but we are getting there: T126946#2317370

jcrespo moved this task from Triage to In progress on the DBA board.May 24 2016, 4:16 PM
chasemp triaged this task as Medium priority.Jun 21 2016, 1:42 PM
jcrespo closed this task as Resolved.Dec 21 2016, 5:17 PM

The revision is available on the new labsdb servers (which will fix now and in the future any drift with production). This is difficult to solve on the current (old) servers:

root@localhost[enwiki_p]> SELECT rev_id FROM revision WHERE rev_id = 716557594;
+-----------+
| rev_id    |
+-----------+
| 716557594 |
+-----------+
1 row in set (0.00 sec)

I consider this fixed, if you need the data fixed now and cannot wait for the official announcement and documentation on how to access the new servers, please contact us.